openbsd-ports/devel/subversion/patches/patch-configure

40 lines
1.3 KiB
Plaintext
Raw Normal View History

$OpenBSD: patch-configure,v 1.6 2006/09/30 06:23:58 steven Exp $
--- configure.orig Sat Jul 15 20:55:11 2006
+++ configure Sat Jul 15 21:00:22 2006
@@ -3012,7 +3012,7 @@ if test "$INSTALL" = "build/install-sh -
INSTALL="$abs_srcdir/$INSTALL"
fi
-MKDIR="$INSTALL -d"
+MKDIR="/bin/mkdir -p"
@@ -20609,7 +20609,7 @@ rm -f conftest.err conftest.$ac_objext \
conftest$ac_exeext conftest.$ac_ext
if test "$ac_cv_search_bindtextdomain" = no; then
for ac_lib in intl; do
- LIBS="-l$ac_lib $ac_func_search_save_LIBS"
+ LIBS="-l$ac_lib -liconv $ac_func_search_save_LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
@@ -20654,7 +20654,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_l
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- ac_cv_search_bindtextdomain="-l$ac_lib"
+ ac_cv_search_bindtextdomain="-l$ac_lib -liconv"
break
else
echo "$as_me: failed program was:" >&5
@@ -21943,7 +21943,7 @@ fi;
# Python: Used for testsuite, and bindings
-PYTHON="`$abs_srcdir/build/find_python.sh`"
+PYTHON="python!!PYTHON_VER!!"
if test -z "$PYTHON"; then
{ echo "$as_me:$LINENO: WARNING: Python 2.0 or later is required to run the testsuite" >&5
echo "$as_me: WARNING: Python 2.0 or later is required to run the testsuite" >&2;}